# Uses of Interface
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroup

Packages that use IDifferenceGroup
Package
Description
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

## Uses of IDifferenceGroup in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that implement IDifferenceGroup
Modifier and Type
Class
Description
`class`
`BasicDifferenceGroupImpl`
This implementation of a `IDifferenceGroup` uses a predicate to filter the whole list of differences.
`static class`
`ByResourceGroupProvider.ResourceGroup`
Specialized `BasicDifferenceGroupImpl` for Resources.
`static class`
`ThreeWayComparisonGroupProvider.ConflictsGroupImpl`
Specialized `BasicDifferenceGroupImpl` for Conflicts.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return types with arguments of type IDifferenceGroup
Modifier and Type
Method
Description
`protected Collection<? extends IDifferenceGroup>`
ByResourceGroupProvider.`buildGroups(Comparison comparison2)`
Builds the groups for this comparison.
`protected Collection<? extends IDifferenceGroup>`
DefaultGroupProvider.`buildGroups(Comparison comparison2)`
Builds the groups for this comparison.
`protected Collection<? extends IDifferenceGroup>`
KindGroupProvider.`buildGroups(Comparison comparison2)`
Builds the groups for this comparison.
`protected Collection<? extends IDifferenceGroup>`
ThreeWayComparisonGroupProvider.`buildGroups(Comparison comparison2)`

## Uses of IDifferenceGroup in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider

Method parameters in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider with type arguments of type IDifferenceGroup
Modifier and Type
Method
Description
`protected void`
TreeNodeItemProviderSpec.`initMapping(Collection<? extends IDifferenceGroup> groups, IDifferenceGroupProvider groupProvider, TreeNode treeNode)`
Init the mapping.
Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider with parameters of type IDifferenceGroup
Modifier
Constructor
Description
``
`GroupItemProviderAdapter(AdapterFactory adapterFactory, EObject parent, IDifferenceGroup group)`
Constructor.

## Uses of IDifferenceGroup in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups that return types with arguments of type IDifferenceGroup
Modifier and Type
Method
Description
`protected Collection<? extends IDifferenceGroup>`
AbstractDifferenceGroupProvider.`buildGroups(Comparison aComparison)`
Builds the groups for this comparison.
`Collection<? extends IDifferenceGroup>`
AbstractDifferenceGroupProvider.`getGroups(Comparison aComparison)`
This will be called internally by the grouping actions in order to determine how the differences should be grouped in the structural view.
`Collection<? extends IDifferenceGroup>`
IDifferenceGroupProvider.`getGroups(Comparison comparison)`
This will be called internally by the grouping actions in order to determine how the differences should be grouped in the structural view.